import Qt 4.7

Rectangle {
    // Basic hello world example
    width: 200
    height: 200
    Text {
        id: text
        x: 66
        y: 93
        text: "Hello World"
    }

    // Declares a state where the text has been rotated 180 degrees
    // The state is entered when mouse left button is pressed
    // within mouseArea
    states: [
        State {
            name: "upsidedown"
            when: mouseArea.pressed
            PropertyChanges {
                target: text
                rotation: 180
            }
        }
    ]

    // Mouse click handler, which toggles between the two states
    MouseArea {
        id: mouseArea
        anchors.fill: parent
    }

}
